package cz.muni.fi.capella.converter.ui.propertySettings;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.core.runtime.preferences.InstanceScope;
import org.eclipse.ui.preferences.ScopedPreferenceStore;

import cz.muni.fi.capella.converter.PropertyUtil;
import cz.muni.fi.capella.converter.ui.ConverterUIActivator;

/**
 * This class is responsible for initializing directory field in algorithm property sets preferences.
 * 
 * @author Andrea Jonásová
 * 
 */
public class PropertyExportInitializer extends AbstractPreferenceInitializer {

	public PropertyExportInitializer() {
	}

	@Override
	public void initializeDefaultPreferences() {
		ScopedPreferenceStore scopedPreferenceStore = 
				new ScopedPreferenceStore(InstanceScope.INSTANCE, ConverterUIActivator.PLUGIN_ID);
		scopedPreferenceStore.setDefault(PropertyUtil.CUSTOM_PROPERTY_DIR_PREF_ID, PropertyUtil.DEFAULT_PROPERTY_DIR);
	}
}
